package org.security.ht.feign.basic;

import org.security.ht.entity.basic.Employee;
import org.springblade.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author ：wzf
 * @apiNote ：Employee 微服务掉用服务熔断
 * @since ：Created in 2022/9/19 14:11
 */
@Component
public class EmployeeClientFallback implements IEmployeeClient{
	@Override
	public R<Employee> getEmployeeAndFamiliesAndJobRecords(Long id) {
		return R.fail("获取Employee-员工信息服务远程调用失败");
	}

	@Override
	public R synData(List<Employee> employees) {
		return R.fail("同步Employee-员工信息远程调用失败");
	}
}
